Bug 155450 - net/bmon: bmon depends on rrdtool with WITHOUT_RRDTOOL
Summary: net/bmon: bmon depends on rrdtool with WITHOUT_RRDTOOL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-10 23:50 UTC by Bernard Spil
Modified: 2011-03-23 08:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2011-03-10 23:50:04 UTC
bmon fails to start with an error about missing rrdtool dependency when rrdtool is installed and bmon is built WITHOUT_RRDTOOL

Fix: 

.if defined(WITH_RRDTOOL)
 BUILD_DEPENDS= rrdtool:${PORTSDIR}/databases/rrdtool
+.else
+CONFIGURE_ARGS+= --disable-rrd
 .endif

+
 .if defined(WITH_DBI)
 LIB_DEPENDS=   dbi.1:${PORTSDIR}/databases/libdbi
+.else
+CONFIGURE_ARGS+= --disable-dbi
 .endif

 do-install:--qtJ2wp7ugzlcLogGZVBPD6t2qQFWJ9tJNLgCYfNJPZYfQT5x
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       2011-03-11 00:36:27.000000000 +0100
+++ Makefile    2011-03-11 00:32:55.000000000 +0100
@@ -29,10 +29,15 @@
How-To-Repeat: Install rrdtool
Build bmon -DWITHOUT_RRDTOOL
Uninstall rrdtool
Run bmon
Comment 1 Edwin Groothuis freebsd_committer 2011-03-10 23:50:18 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-03-10 23:50:21 UTC
Maintainer of net/bmon,

Please note that PR ports/155450 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155450

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-03-10 23:50:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 nistor 2011-03-11 03:22:32 UTC
Approved!

On Thu, 10 Mar 2011, Edwin Groothuis wrote:

> Maintainer of net/bmon,
>
> Please note that PR ports/155450 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155450
>
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>

  ________
   Jon (nistor@snickers.org)
   10011000000111:1111011010011000:1000000000001:1000000000001::101010000

: EOF
:
Comment 5 Pav Lucistnik freebsd_committer 2011-03-23 08:27:58 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2011-03-23 08:30:24 UTC
pav         2011-03-23 08:30:09 UTC

  FreeBSD ports repository

  Modified files:
    net/bmon             Makefile 
  Log:
  - Disable rrd/dbi when the respective option is toggled off
  
  PR:             ports/155450
  Submitted by:   Spil <spil.oss@gmail.com>
  Approved by:    Jon Nistor <nistor@snickers.org> (maintainer)
  
  Revision  Changes    Path
  1.11      +4 -0      ports/net/bmon/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"